FlowManager

dbn

## Class FlowManager

- java.lang.Object
- - dbn.FlowManager

-     public class FlowManager
      extends java.lang.Object

  A control class that manages the user's arguments, prints the output and handles the flow of the main task. It contains the `main` method that organizes the data flow.
  See Also:
    `LearningManager`, `PredictionManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `FormatMilliseconds(long milliseconds)` Converts the milliseconds to `[Hours]:[Minutes]:[Seconds].[Tenths of Seconds]` `String` format.
    `static void` | `main(java.lang.String[] args)` The method that takes as input the user's options and manages the data flow of the project.
    `static OptionsHandler` | `ParseArguments(java.lang.String[] args)` Gets the user's options and returns the `OptionsHandler`, to let the handler use them.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowManager

          public FlowManager()

  - ### Method Detail

    - #### ParseArguments

          public static OptionsHandler ParseArguments(java.lang.String[] args)

      Gets the user's options and returns the `OptionsHandler`, to let the handler use them.
      Parameters:
        `args` - the user's options
      Returns:
        the handler of the options
      Throws:
        `java.lang.NullPointerException`

    - #### FormatMilliseconds

          public static java.lang.String FormatMilliseconds(long milliseconds)

      Converts the milliseconds to `[Hours]:[Minutes]:[Seconds].[Tenths of Seconds]` `String` format.
      Parameters:
        `milliseconds` - the duration in milliseconds
      Returns:
        the duration formatted to `Sting` showing hours, minutes and seconds

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      The method that takes as input the user's options and manages the data flow of the project.
      Parameters:
        `args` - the command line arguments
      Throws:
        `java.lang.Exception`